> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ai.getlynks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Optimize Product Name

> This endpoint is used to optimize the name of a product. It provides a better name for a product based on the current name.



## OpenAPI

````yaml post /tasks/optimization/name
openapi: 3.1.0
info:
  title: Lynks AI External API
  description: External API documentation for Lynks AI.
  version: 1.0.0
servers:
  - url: https://ai.getlynks.io/api
security: []
paths:
  /tasks/optimization/name:
    post:
      summary: Optimize Product Name
      description: >-
        This endpoint is used to optimize the name of a product. It provides a
        better name for a product based on the current name.
      operationId: optimize_product_name_tasks_optimization_name_post
      parameters:
        - name: task_type
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/NameOptimizationTaskTypeEnum'
        - name: translation_language
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/LanguageEnum'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProductNameBody'
      responses:
        '200':
          description: Successfully optimized the product name.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductNameOptimizationResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKey: []
          OpenAIKey: []
        - APIKey: []
components:
  schemas:
    NameOptimizationTaskTypeEnum:
      type: string
      enum:
        - cleaned
        - detailed
      title: NameOptimizationTaskTypeEnum
    LanguageEnum:
      type: string
      enum:
        - en
        - de
        - fr
        - it
      title: LanguageEnum
    ProductNameBody:
      properties:
        product_name:
          type: string
          title: Product Name
          description: The name of the product to optimize.
      type: object
      required:
        - product_name
      title: ProductNameBody
    ProductNameOptimizationResponse:
      properties:
        message:
          type: string
          title: Message
        old_name:
          type: string
          title: Old Name
        best_name:
          type: string
          title: Best Name
        other_names:
          items:
            type: string
          type: array
          title: Other Names
      type: object
      required:
        - message
        - old_name
        - best_name
        - other_names
      title: ProductNameOptimizationResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKey:
      type: apiKey
      in: header
      name: X-Api-Key
    OpenAIKey:
      type: apiKey
      in: header
      name: X-OpenAI-Key

````